Subject: [bug#52371] [PATCH 0/2] Update tdlib and emacs-telega.

From: Liliana Marie Prikler <[email-masked]>
Date: Fri, 10 Dec 2021 20:31:25 +0100

Am Freitag, den 10.12.2021, 10:40 +0300 schrieb Andrew Tropin:
> On 2021-12-09 20:39, Liliana Marie Prikler wrote:
> 
> > Hi,
> > 
> > note to self: I'm not trying to build tdlib again.  Last build was
> > not finished after almost a day and power went out so I don't even
> > know whether it succeeded after I went to work or not.
> 
> Ouch, IIRC it took a few dozens of minutes for my laptop.  Do you use
> underpowered hardware or something was wrong with compilation
> process?
It's the check phase that's killing me, but that doesn't really rule
out weak hardware.  I'm not touching staging or core-updates for that
very reason.

> > Anyway,
> > 
> > > +-(defcustom telega-server-command "telega-server"
> > > ++(defcustom telega-server-command "@TELEGA_SERVER_BIN@"
> > [...]
> > > -             (substitute* "telega-server.el"
> > > +             (substitute* "telega-customize.el"
> > >                 (("@TELEGA_SERVER_BIN@")
> > >                  (string-append (assoc-ref inputs "emacs-telega-
> > > server")
> > >                                 "/bin/telega-server")))
> > > 
> > I know this has existed before your patch, but I'm pretty sure we
> > have
> > emacs-based routines that could make this substitution in one go.
> 
> Do you mean emacs-substitute-sexps from (guix build emacs-utils) ?
I think emacs-substitute-variables is the "correcter" option here, but
both are fine.

> > If you're interested in further janitor work, you could do this
> > either on master, or you could do something in terms of (search-
> > input-file) on c-u-f.
> > 
> > Other than that LGTM on a quick glance.
> > Cheers
> > 
> 
> Let's keep it as it is right now, probably I'll be updating this
> package later again and will refactor it.
> 
> Also, I'll need to update emacs-telega package to include add-pkg-
> file phase if the patch will be merged, so I'll cleanup the other
> stuff around it.
Very well, you do you.  I'll leave the final call to Nicolas then.

Thanks for your work and happy hacking :)